Bug 211591 - 2.6.18-1.2200.fc5smp boot up problems with ata2
2.6.18-1.2200.fc5smp boot up problems with ata2
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Garzik
Brian Brock
bzcl34nup
:
Depends On:
Blocks: FCMETA_SATA
  Show dependency treegraph
 
Reported: 2006-10-20 08:25 EDT by Akos Felso
Modified: 2013-07-02 22:30 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 12:30:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Akos Felso 2006-10-20 08:25:03 EDT
Description of problem:
During boot up 2.6.18-1.2200.fc5smp the following error occures:
ata2: path failed to respond
ata2: SRST failed
The computer seems to working anyway.

Version-Release number of selected component (if applicable):
2.6.18-1.2200.fc5smp


How reproducible:
always

Steps to Reproduce:
1. turn on the machine
2. start the 2.6.18-1.2200.fc5smp kernel
3.
  
Actual results:
ata2: path failed to respond
ata2: SRST failed

Expected results:


Additional info:
Comment 1 Klaus Munsteiner 2006-11-01 04:20:18 EST
I had the same problems:
Nov  1 08:42:50 scuxentw kernel: SCSI subsystem initialized
Nov  1 08:42:50 scuxentw kernel: ata_piix 0000:00:1f.2: MAP [ P0 -- P1 -- ]
Nov  1 08:42:50 scuxentw kernel: PCI: Enabling device 0000:00:1f.2 (0004 -> 0005)
Nov  1 08:42:50 scuxentw kernel: ACPI: PCI Interrupt 0000:00:1f.2[A] -> GSI 18
(level, low) -> IRQ 169
Nov  1 08:42:50 scuxentw kernel: ata1: SATA max UDMA/133 cmd 0x14B0 ctl 0x14D2
bmdma 0x14A0 irq 169
Nov  1 08:42:50 scuxentw kernel: ata2: SATA max UDMA/133 cmd 0x14B8 ctl 0x14D6
bmdma 0x14A8 irq 169
Nov  1 08:42:50 scuxentw kernel: scsi0 : ata_piix
Nov  1 08:42:50 scuxentw kernel: ata1: port is slow to respond, please be patient
Nov  1 08:42:50 scuxentw kernel: ata1: port failed to respond (30 secs)
Nov  1 08:42:50 scuxentw kernel: ata1: SRST failed (status 0xFF)
Nov  1 08:42:50 scuxentw kernel: ata1: SRST failed (err_mask=0x100)
Nov  1 08:42:50 scuxentw kernel: ata1: softreset failed, retrying in 5 secs
Nov  1 08:42:50 scuxentw kernel: ata1: SRST failed (status 0xFF)
Nov  1 08:42:50 scuxentw kernel: ata1: SRST failed (err_mask=0x100)
Nov  1 08:42:50 scuxentw kernel: ata1: softreset failed, retrying in 5 secs
Nov  1 08:42:50 scuxentw kernel: ata1: SRST failed (status 0xFF)
Nov  1 08:42:50 scuxentw kernel: ata1: SRST failed (err_mask=0x100)
Nov  1 08:42:50 scuxentw kernel: ata1: reset failed, giving up
Nov  1 08:42:50 scuxentw kernel: scsi1 : ata_piix
Nov  1 08:42:50 scuxentw kernel: ata2: port is slow to respond, please be patient
Nov  1 08:42:50 scuxentw kernel: ata2: port failed to respond (30 secs)
Nov  1 08:42:50 scuxentw kernel: ata2: SRST failed (status 0xFF)
Nov  1 08:42:50 scuxentw kernel: ata2: SRST failed (err_mask=0x100)
Nov  1 08:42:50 scuxentw kernel: ata2: softreset failed, retrying in 5 secs
Nov  1 08:42:50 scuxentw kernel: ata2: SRST failed (status 0xFF)
Nov  1 08:42:50 scuxentw kernel: ata2: SRST failed (err_mask=0x100)
Nov  1 08:42:50 scuxentw kernel: ata2: softreset failed, retrying in 5 secs
Nov  1 08:42:50 scuxentw kernel: ata2: SRST failed (status 0xFF)
Nov  1 08:42:50 scuxentw kernel: ata2: SRST failed (err_mask=0x100)
Nov  1 08:42:50 scuxentw kernel: ata2: reset failed, giving up


Reason: 
The Intel SATA-Controller was disabeled in the BIOS, as no SATA-HD installed. I
think the kernel noticed the disabeled controller and waited for response.

Workaround: 
I enabled the SATA-Contoller in the BIOS.

I had the same error with kernel 2.6.18-1.2200.fc5smp and 2.6.18-1.2200.fc5
Comment 2 Vasile Gaburici 2006-12-08 10:17:31 EST
I'm also having the same problem since 2200, now running 2239 on a i875P/ICH5
(Dell 400SC) motherboard. Unfortunately no amount of BIOS tinkering solved the
problem for me. I get the same messages regardless whether I enable or disable
sata, or the ide channels.
Comment 3 Michael Cronenworth 2006-12-22 10:22:24 EST
Dell Dimension 4600

Same problems with ata1/ata2 "port is slow to respond" issue.

This only occurred when moving to the 2.6.18 kernel. Any 2.6.17 kernel or lower
were fine.

Apparantly there is a patch that has been in review for over three months...
nice. /sarcasm

http://thread.gmane.org/gmane.linux.ide/13408/focus=13439
Comment 4 Bug Zapper 2008-04-04 00:02:12 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 5 Bug Zapper 2008-05-06 12:30:33 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.